%define module  irc
%define name    python-%{module}
%define version 8.5.3

Name:           %{name}
Summary:        IRC (Internet Relay Chat) protocol client library for Python
Version:        %{version}
Release:        %mkrel 3
Source:         http://pypi.python.org/packages/source/i/%{module}/%{module}-%{version}.zip
Patch0:         python-irc-8.5.1-mga-setup_requires.patch
URL:            http://pypi.python.org/pypi/irc/
License:        Python
Group:          Networking/IRC
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-six

%description
This library is intended to encapsulate the IRC protocol at a quite low level.
It provides an event-driven IRC client framework. It has a fairly thorough
support for the basic IRC protocol, CTCP and DCC connections.

%package -n python3-%{module}
Summary:	IRC (Internet Relay Chat) protocol client library for Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{module}
This library is intended to encapsulate the IRC protocol at a quite low level.
It provides an event-driven IRC client framework. It has a fairly thorough
support for the basic IRC protocol, CTCP and DCC connections.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
rm -rf irc.egg-info/
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%defattr(-,root,root)
%doc CHANGES.* PKG-INFO README.*
%{python_sitelib}/%{module}
%{python_sitelib}/*.egg-info

%files -n python3-%{module}
%doc CHANGES.* PKG-INFO README.*
%{python3_sitelib}/%{module}
%{python3_sitelib}/*.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 8.5.3-3.mga4
+ Revision: 543419
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 8.5.3-2.mga4
+ Revision: 498748
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 08 2013 philippem <philippem> 8.5.3-1.mga4
+ Revision: 493757
- Update to 8.5.3
- add Python 3

* Mon Sep 02 2013 philippem <philippem> 8.5.1-1.mga4
+ Revision: 474454
- update to 8.5.1

* Sun Jan 13 2013 umeabot <umeabot> 7.1.1-2.mga3
+ Revision: 379014
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 boklm <boklm> 7.1.1-1.mga3
+ Revision: 341284
- Version 7.1.1

* Tue Oct 09 2012 colin <colin> 3.1.1-1.mga3
+ Revision: 303698
- imported package python-irc

